org.apache.lucene.queryparser.flexible.standard.nodes

## Class NumericRangeQueryNode

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
  - - org.apache.lucene.queryparser.flexible.standard.nodes.AbstractRangeQueryNode<NumericQueryNode>
    - - org.apache.lucene.queryparser.flexible.standard.nodes.NumericRangeQueryNode

All Implemented Interfaces:
  Cloneable, FieldableNode, QueryNode, RangeQueryNode<FieldValuePairQueryNode<?>>

    public class NumericRangeQueryNode
    extends AbstractRangeQueryNode<NumericQueryNode>

This query node represents a range query composed by `NumericQueryNode` bounds, which means the bound values are `Number`s.

See Also:
  `NumericQueryNode`, `AbstractRangeQueryNode`

### Field Summary

Fields
`NumericConfig` `numericConfig`

### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

### Constructor Summary

Constructors
Constructor and Description
`NumericRangeQueryNode(NumericQueryNode lower, NumericQueryNode upper, boolean lowerInclusive, boolean upperInclusive, NumericConfig numericConfig)` Constructs a `NumericRangeQueryNode` object using the given `NumericQueryNode` as its bounds and `NumericConfig`.

### Method Summary

Methods
`NumericConfig` `getNumericConfig()` Returns the `NumericConfig` associated with the lower and upper bounds.
`void` `setBounds(NumericQueryNode lower, NumericQueryNode upper, boolean lowerInclusive, boolean upperInclusive, NumericConfig numericConfig)` Sets the upper and lower bounds of this range query node and the `NumericConfig` associated with these bounds.
`String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

### Methods inherited from class org.apache.lucene.queryparser.flexible.standard.nodes.AbstractRangeQueryNode

`getField, getLowerBound, getUpperBound, isLowerInclusive, isUpperInclusive, setBounds, setField, toQueryString`

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

`add, add, allocate, clone, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

`add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, set, setTag, unsetTag`

### Field Detail

#### numericConfig

    public NumericConfig numericConfig

### Constructor Detail

#### NumericRangeQueryNode

    public NumericRangeQueryNode(NumericQueryNode lower,
                         NumericQueryNode upper,
                         boolean lowerInclusive,
                         boolean upperInclusive,
                         NumericConfig numericConfig)
                          throws QueryNodeException

Constructs a `NumericRangeQueryNode` object using the given `NumericQueryNode` as its bounds and `NumericConfig`.

Parameters:
  `lower` - the lower bound
  `upper` - the upper bound
  `lowerInclusive` - `true` if the lower bound is inclusive, otherwise, `false`
  `upperInclusive` - `true` if the upper bound is inclusive, otherwise, `false`
  `numericConfig` - the `NumericConfig` that represents associated with the upper and lower bounds
Throws:
  `QueryNodeException`
See Also:
  `setBounds(NumericQueryNode, NumericQueryNode, boolean, boolean, NumericConfig)`

### Method Detail

#### setBounds

    public void setBounds(NumericQueryNode lower,
                 NumericQueryNode upper,
                 boolean lowerInclusive,
                 boolean upperInclusive,
                 NumericConfig numericConfig)
                   throws QueryNodeException

Sets the upper and lower bounds of this range query node and the `NumericConfig` associated with these bounds.

Parameters:
  `lower` - the lower bound
  `upper` - the upper bound
  `lowerInclusive` - `true` if the lower bound is inclusive, otherwise, `false`
  `upperInclusive` - `true` if the upper bound is inclusive, otherwise, `false`
  `numericConfig` - the `NumericConfig` that represents associated with the upper and lower bounds
Throws:
  `QueryNodeException`

#### getNumericConfig

    public NumericConfig getNumericConfig()

Returns the `NumericConfig` associated with the lower and upper bounds.

Returns:
  the `NumericConfig` associated with the lower and upper bounds

#### toString

    public String toString()

Description copied from class: `QueryNodeImpl`
Every implementation of this class should return pseudo xml like this: For FieldQueryNode: <field start='1' end='2' field='subject' text='foo'/>

Specified by:
  `toString` in interface `QueryNode`
Overrides:
  `toString` in class `AbstractRangeQueryNode<NumericQueryNode>`
See Also:
  `QueryNode.toString()`